/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumStage implements EnumType {

    stage_dev_test("stage.dev_test"),

    stage_test("stage.test"),

    stage_test_prod("stage.test_prod");

    private final String literal;

    private EnumStage(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_stage";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumStage lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumStage.class, literal);
    }
}
